FileMessageHeader (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.streaming.messages

## Class FileMessageHeader

- java.lang.Object
- - org.apache.cassandra.streaming.messages.FileMessageHeader

-     public class FileMessageHeader
      extends java.lang.Object

  StreamingFileHeader is appended before sending actual data to describe what it's sending.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.UUID` | `cfId`
    `CompressionInfo` | `compressionInfo` Compression info for SSTable to send.
    `long` | `estimatedKeys`
    `SSTableFormat.Type` | `format` SSTable format
    `long` | `repairedAt`
    `java.util.List<Pair<java.lang.Long,java.lang.Long>>` | `sections`
    `int` | `sequenceNumber`
    `static org.apache.cassandra.streaming.messages.FileMessageHeader.FileMessageHeaderSerializer` | `serializer`
    `int` | `sstableLevel`
    `java.lang.String` | `version` SSTable version

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMessageHeader(java.util.UUID cfId, int sequenceNumber, java.lang.String version, SSTableFormat.Type format, long estimatedKeys, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, CompressionInfo compressionInfo, long repairedAt, int sstableLevel)`
    `FileMessageHeader(java.util.UUID cfId, int sequenceNumber, java.lang.String version, SSTableFormat.Type format, long estimatedKeys, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, CompressionMetadata compressionMetadata, long repairedAt, int sstableLevel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `isCompressed()`
    `long` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static org.apache.cassandra.streaming.messages.FileMessageHeader.FileMessageHeaderSerializer serializer

    - #### cfId

          public final java.util.UUID cfId

    - #### sequenceNumber

          public final int sequenceNumber

    - #### version

          public final java.lang.String version

      SSTable version

    - #### format

          public final SSTableFormat.Type format

      SSTable format

    - #### estimatedKeys

          public final long estimatedKeys

    - #### sections

          public final java.util.List<Pair<java.lang.Long,java.lang.Long>> sections

    - #### compressionInfo

          public final CompressionInfo compressionInfo

      Compression info for SSTable to send. Can be null if SSTable is not compressed. On sender, this field is always null to avoid holding large number of Chunks. Use compressionMetadata instead.

    - #### repairedAt

          public final long repairedAt

    - #### sstableLevel

          public final int sstableLevel

  - ### Constructor Detail

    - #### FileMessageHeader

          public FileMessageHeader(java.util.UUID cfId,
                                   int sequenceNumber,
                                   java.lang.String version,
                                   SSTableFormat.Type format,
                                   long estimatedKeys,
                                   java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                                   CompressionInfo compressionInfo,
                                   long repairedAt,
                                   int sstableLevel)

    - #### FileMessageHeader

          public FileMessageHeader(java.util.UUID cfId,
                                   int sequenceNumber,
                                   java.lang.String version,
                                   SSTableFormat.Type format,
                                   long estimatedKeys,
                                   java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                                   CompressionMetadata compressionMetadata,
                                   long repairedAt,
                                   int sstableLevel)

  - ### Method Detail

    - #### isCompressed

          public boolean isCompressed()

    - #### size

          public long size()

      Returns:
        total file size to transfer in bytes

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation